<?php
/**
 * The template for displaying the footer.
 *
 * @since Mag. 1.0
 */
?>
	</div><!-- #main .row -->

	<?php themag_footer_before(); // Before footer hook ?>
	
	<footer id="footer-container" class="site-footer" role="contentinfo">
		<div class="row footer-row">
			<?php
				/* Display the footer sidebars if active and not the 404 page.
				 */
				if ( ! is_404() )
					get_sidebar( 'footer' );
			?>

			<?php if (has_nav_menu('footer')) { ?>
				<div class="row footer-nav">
					<div class="twelve columns">
					
						<nav role="navigation" class="site-navigation footer-navigation">
							<h1 class="assistive-text"><?php _e( 'Footer Menu', 'themag' ); ?></h1>
							<?php wp_nav_menu( array( 'theme_location' => 'footer', 'fallback_cb' => false, 'depth' => 1, 'menu_class' => 'footer-menu' ) ); ?>
						</nav><!-- .site-navigation .footer-navigation -->
						
					</div><!-- .twelve .columns -->
				</div><!-- .row .footer-nav -->
			<?php } ?>
		</div><!-- .row .footer-row -->
		
		
		<div class="footer-info">
			<div class="row info-wrap">
			
				<div class="copyright six columns">
					<?php esc_attr_e('&copy;', 'themag'); ?> <?php _e(date('Y'),'themag'); ?> <a href="<?php echo home_url('/') ?>" title="<?php echo esc_attr(get_bloginfo('name', 'display')); ?>"><?php bloginfo('name'); ?></a>
				</div><!-- .copyright .six .columns -->

				<div class="site-info six columns">

					<a href="<?php echo esc_url( __( 'https://85ideas.com/public-releases/wordpress-theme-mag/', 'themag' ) ); ?>" title="<?php esc_attr_e( 'Mag. Theme', 'themag' ); ?>"><?php printf( __('Mag. Theme', 'themag')); ?></a> 
					<?php printf( __( 'powered by', 'themag' )); ?> 
					<a href="<?php echo esc_url( __('http://wordpress.org/', 'themag')); ?>" title="<?php esc_attr_e('WordPress', 'themag'); ?>"><?php printf( __('WordPress', 'themag')); ?></a>

				</div><!-- .site-info .six .columns -->
				
			</div><!-- .row info-wrap-->
		</div><!-- .footer-info -->
		
		<div class="scroll-to-top"></div><!-- .scroll-to-top -->
		
	</footer><!-- #colophon .site-footer -->
</div><!-- #page .hfeed .site -->

<!-- Begin wp_footer() -->
<?php wp_footer(); ?>
<!-- End wp_footer() -->

</body>
</html>