<?php
/**
 * Incorporating Contextual Help and Support.
 *
 * @Author: Chip Bennett
 * @Link: http://upthemes.com/blog/2012/05/incorporating-contextual-help-and-support-into-wordpress-themes/
 *		  https://github.com/chipbennett/oenology/blob/master/functions/contextual-help.php
 *
 * @since Mag. 1.0
*/ 

function themag_add_help_tab () {
    global $mag_page;
    $screen = get_current_screen();

    /*
     * Check if current screen is My Admin Page
     * Don't add help tab if it's not
     */
    if ( $screen->id != $mag_page )
        return;

	// Add Settings - License.
	$screen->add_help_tab( array(
		'id'      => 'themag-settings-License',
		'title'   => __( 'License', 'themag' ),
		'content' => implode( '', file( get_template_directory() . '/includes/admin/help/license.htm' )),
	) );

}
?>