<?php
/**
 * The Index template file.
 *
 * @see Blog.php template file.
 *
 * @since Mag. 1.0
 */

get_header(); ?>

	<div id="primary" class="site-content <?php echo themag_grid_width( 'content' ); ?> columns">
		<div id="content" role="main">
		
		<?php themag_blog_before(); // Before blog hook. ?>
		
		<?php if ( have_posts() ) : ?>

			<?php /* Start the Loop */ ?>
			<?php while ( have_posts() ) : the_post(); ?>
			
				<?php
					/* Include the Post-Format-specific template for the content.
					 * If you want to overload this in a child theme then include a file
					 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
					 */
					get_template_part( 'content', get_post_format() );
				?>
				
				<div class="post-divider"></div>
					
			<?php endwhile; ?>

			<?php themag_pagination(); ?>

		<?php else : ?>

			<?php get_template_part( 'no-results', 'index' ); ?>

		<?php endif; // end have_posts() check ?>
		
		<?php themag_blog_after(); // After blog hook. ?>

		</div><!-- #content -->
	</div><!-- #primary .site-content .<?php echo themag_grid_width( 'content' ); ?> .columns -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>