<?php
/**
 * The Sidebar containing the main widget area.
 *
 * If no active widgets in sidebar, show meta widget.
 *
 * @since Mag. 1.0
 */
?>

	<?php if ( is_active_sidebar( 'sidebar-1' ) ) : ?>
		<div id="sidebar" class="aside <?php echo themag_grid_width( 'sidebar' ); ?> columns" role="complementary">
			
			<?php themag_sidebar_before(); // Before sidebar hook. ?>
			
			<?php dynamic_sidebar( 'sidebar-1' ); ?>
			
			<?php themag_sidebar_after(); // After sidebar hook. ?>
			
		</div><!-- #secondary .widget-area .<?php echo themag_grid_width( 'sidebar' ); ?> .columns -->
		
	<?php else: // If sidebar is not active display a simple Meta widget. ?>

		<div id="sidebar" class="aside three columns" role="complementary">			
			<div id="meta-3" class="widget widget_meta"><h3 class="widget-title"><?php _e( 'Meta', 'themag' ); ?></h3>
				<ul>
					<?php wp_register(); ?>
					<li><?php wp_loginout(); ?></li>
					<?php wp_meta(); ?>
				</ul>
			</div>			
		</div><!-- #secondary .widget-area .<?php echo themag_grid_width( 'sidebar' ); ?> .columns -->
	
	<?php endif; ?>